CoreFoundation.CFMutableDictionaryRef (JNA API)
Description: declaration: package: com.sun.jna.platform.mac, interface: CoreFoundation, class: CFMutableDictionaryRef

Package com.sun.jna.platform.mac

# Class CoreFoundation.CFMutableDictionaryRef

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.mac.CoreFoundation.CFTypeRef
com.sun.jna.platform.mac.CoreFoundation.CFDictionaryRef
com.sun.jna.platform.mac.CoreFoundation.CFMutableDictionaryRef

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  CoreFoundation

public static class CoreFoundation.CFMutableDictionaryRef extends CoreFoundation.CFDictionaryRef
A reference to a mutable `CFDictionary` object.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.mac.CoreFoundation.CFDictionaryRef

  `CoreFoundation.CFDictionaryRef.ByReference`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CFMutableDictionaryRef()`
  `CFMutableDictionaryRef(Pointer p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setValue(PointerType key, PointerType value)`
  Convenience method for `CoreFoundation.CFDictionarySetValue(com.sun.jna.platform.mac.CoreFoundation.CFMutableDictionaryRef, com.sun.jna.PointerType, com.sun.jna.PointerType)` on this object.

  ### Methods inherited from class com.sun.jna.platform.mac.CoreFoundation.CFDictionaryRef

  `getCount, getValue, getValueIfPresent`

  ### Methods inherited from class com.sun.jna.platform.mac.CoreFoundation.CFTypeRef

  `getTypeID, isTypeID, release, retain`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CFMutableDictionaryRef

    public CFMutableDictionaryRef()

  - ### CFMutableDictionaryRef

    public CFMutableDictionaryRef(Pointer p)

- ## Method Details

  - ### setValue

    public void setValue(PointerType key, PointerType value)
    Convenience method for `CoreFoundation.CFDictionarySetValue(com.sun.jna.platform.mac.CoreFoundation.CFMutableDictionaryRef, com.sun.jna.PointerType, com.sun.jna.PointerType)` on this object.
    Parameters:
      `key` - The key of the value to set.
      `value` - The value to add to or replace .